using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using APT.MS.Domain.Entities.PF;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
    [Description("问题反馈表")]
    public class T_PF_QUESTION_FEEDBACK : MesEntityBase
    {



        [Description("用户姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string USER_NAME { get; set; }

        [Description("反馈时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string FEEDBACK_TIME { get; set; }

        [Description("部门名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string DEAPARTMENT_NAME { get; set; }

        [Description("问题描述")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldEdit]
        public string QUESTION_DESCRIPTION { get; set; }

        [Description("导航属性：附件")]
        [FormFieldEdit]

        public ICollection<T_PF_QUESTION_FEEDBACK_FILE> Nav_Files { get; set; }
    }
}